function polV = bgppol(tax0, endPol, taxAdj0)
% Construct a policy vector in standard format for the bgp
% Replace the endogenous policy by the computed value, endPol
% ---------------------------------------
% IN:
%   endPol  = computed value for endogenous policy
% OUT:
%   policy vector in standard format

% AUTHOR: Lutz Hendricks, 1993
% ---------------------------------------

% *** GLOBALS ***

%global twAdjustsG tkAdjustsG DYAdjustsG TrYAdjustsG GYAdjustsG UNCHANGED
%global tcAdjustsG toAdjustsG


% ****** Disassemble tax0 ********

if 0
    tw0     = tax0(1);
    tk0     = tax0(2);
    TrY0    = tax0(3);
    GY0     = tax0(4);
    tc0     = tax0(5);
    to0     = tax0(6);
    DY0     = tax0(7);
    sx0     = tax0(8);
    ts0     = tax0(9);
    RR0     = tax0(10);
end

% ****** Replace endogenous policy ********

    polV = tax0;
    polV(taxAdj0) = endPol;


% *** end function ***

