function y = hhincome(w,h,wt,tl, x,xEarn,xDeduct, a,r, Tr);
% hhincome: Compute period by period hh income
% ---------------------------------------
% IN:
%   notation as usual
% OUT:
%   hh income; net of taxes; including interest on assets (a*r, NOT a*(1+r))

% AUTHOR: Lutz Hendricks, 1994
% ---------------------------------------


    y = Tr + netearn(w,h,wt, x,xEarn,tl,xDeduct) + a.*r;


% *** end function ***
