function t_hhstk
% Test hhstocks
% ---------------------------------------

% AUTHOR: Lutz Hendricks, 1994
% ---------------------------------------

% *** GLOBALS ***

    dbg = 100;
    N = 5;
    h1x = 0.1;
    a1x = 0.7;
    phi0 = 1.1;
    Rx = ones(1,N+1) .* 1.05;
    hAvg = ones(1,N) .* 1.7;
    wx   = seqa(0.5, 0.02, N);
    sxx  = seqa(0.3, -0.03, N);
    abil = h1x;

    [a1,h1,a,h,x,v] = hhstocks(a1x,h1x,abil,phi0,Rx,hAvg, wx,sxx, dbg);

    disp('--- Return values ---')
    tmp = sprintf('a1: %7.3f    h1: %7.3f', a1, h1);
    disp(tmp);

    disp('--- Done ---')

% *** end function ***
